#region Copyright Syncfusion Inc. 2001 - 2014
// Copyright Syncfusion Inc. 2001 - 2014. All rights reserved.
// Use of this code is subject to the terms of our license.
// A copy of the current license can be obtained at any time by e-mailing
// licensing@syncfusion.com. Any infringement will be prosecuted under
// applicable laws. 
#endregion
namespace SyncfusionMvcApplication3.Models
{
    using System;
    using System.Collections.Generic;
    using System.Linq;
    using System.Web;
    using System.ComponentModel;
    using System.ComponentModel.DataAnnotations;
   
    public class EditableOrder
    {
        public long OrderID
        {
            get;
            set;
        }
       
        [StringLength(5, ErrorMessage = "CustomerID must be 5 characters.")]
        public string CustomerID
        {
            get;
            set;
        }

      
        public int? EmployeeID
        {
            get;
            set;
        }

        
        public string ShipName
        {
            get;
            set;
        }

       
        public string ShipCity
        {
            get;
            set;
        }

        public string ShipAddress
        {
            get;
            set;
        }

        public string ShipRegion
        {
            get;
            set;
        }

        public string ShipPostalCode
        {
            get;
            set;
        }

        public string ShipCountry
        {
            get;
            set;
        }

        public decimal? Freight
        {
            get;
            set;
        }

        public bool Verified
        {
            get;
            set;
        }
     

    }
}