﻿<%@ Page Title="Home Page" Language="C#" MasterPageFile="~/Site.Master" AutoEventWireup="true" CodeBehind="Default.aspx.cs" Inherits="Sample._Default" %>

<asp:Content ID="BodyContent" ContentPlaceHolderID="MainContent" runat="server">
    
    <div>
        <div ng-app="employeeView">
            <div ng-controller="GridCtrl">
              <div ej-grid id="Grid" e-datasource="data" e-allowgrouping="true" e-pagesettings-pagesize="4" e-allowsorting="true" e-allowpaging="true"
                  e-toolbarclick="toolbarHandler" e-toolbarsettings-showtoolbar='true' e-toolbarsettings-toolbaritems='toolbar' >
                <div e-columns>
                    <div e-column e-field="EmployeeID" e-headertext="Employee ID" e-textalign="right" e-width="80"></div>
                    <div e-column e-field="LastName" e-headertext="Last Name" e-textalign="left" e-width="80"></div>
                    <div e-column e-field="FirstName" e-headertext="FirstName" e-textalign="left" e-width="80"></div>
                    <div e-column e-field="Title" e-headertext="Title" e-textalign="left" e-width="80"></div>
                    <div e-column e-field="City" e-headertext="City" e-textalign="left" e-width="80"></div>
                    <div e-column e-field="Country" e-headertext="Country" e-textalign="left" e-width="80"></div>
                </div>
             </div>                
            </div>
        </div>
    </div>

    <script type="text/javascript">
        angular.module('employeeView', ['ejangular'])
        .controller('GridCtrl', function ($scope) {
            $scope.data = ej.DataManager({ url: "http://mvc.syncfusion.com/Services/Northwnd.svc/Employees/" });
            $scope.toolbar = ["excelExport"];
            $scope.toolbarHandler = function (args) {
                if (args.itemName == "Excel Export") {
                //option 
                    //args.cancel = true;
                    //this.export("/WebService1.asmx/ExportToExcel");

                //option 1
                    this.exportGrid = this["export"];
                    args.cancel = true;
                    this.exportGrid("/WebService1.asmx/ExportToExcel");

                }
            }
        });
    </script>

</asp:Content>
